Create Incident
curl --request POST \
--url https://demo.rotavision.com/api/v1/vidhi/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"title": "<string>",
"description": "<string>",
"seq_from": 2,
"seq_to": 2,
"harm_categories": [],
"detected_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"root_cause_preliminary": "<string>",
"immediate_actions": "<string>"
}
'import requests
url = "https://demo.rotavision.com/api/v1/vidhi/incidents"
payload = {
"agent_id": "<string>",
"title": "<string>",
"description": "<string>",
"seq_from": 2,
"seq_to": 2,
"harm_categories": [],
"detected_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"root_cause_preliminary": "<string>",
"immediate_actions": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
title: '<string>',
description: '<string>',
seq_from: 2,
seq_to: 2,
harm_categories: [],
detected_at: '2023-11-07T05:31:56Z',
occurred_at: '2023-11-07T05:31:56Z',
root_cause_preliminary: '<string>',
immediate_actions: '<string>'
})
};
fetch('https://demo.rotavision.com/api/v1/vidhi/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"title": "<string>",
"severity": "<string>",
"description": "<string>",
"seq_from": 123,
"seq_to": 123,
"status": "<string>",
"created_by": "<string>",
"resolved_by": "<string>",
"resolution_note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"report_due_at": "2023-11-07T05:31:56Z",
"detected_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"use_case": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}vidhi
Create Incident
Declaring an incident is a human act (reviewer and above); the report assembles itself from the flight recorder.
POST
/
api
/
v1
/
vidhi
/
incidents
Create Incident
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Body
application/json
Required string length:
1 - 200Available options:
low, medium, high, critical Required string length:
1 - 4000Required range:
x >= 1Required range:
x >= 1Available options:
health_harm, critical_infrastructure, rights_violation, property_community_environment Available options:
credit_decisioning, fraud, customer_support, marketing, others Available options:
internal, external, both Maximum string length:
2000Maximum string length:
2000Response
Successful Response
⌘I

